Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.user
Class BambooUserConfiguration

    java.lang.Object
      XMLConfiguration
          com.atlassian.bamboo.user.BambooUserConfiguration

    public class BambooUserConfiguration

extends XMLConfiguration

Bamboo's implementation of `XMLConfiguration` to allow injection of Bamboo components (for LDAP etc)

Field Summary
`DefaultHibernateAccessor` | `accessor`
`BucketHibernateConfigProvider` | `configProvider`

Constructor Summary
`BambooUserConfiguration()`

Method Summary
`protected RepositoryAccessor` | `configureRepository(RepositoryConfiguration config)`
`SessionFactory` | `getSessionFactory()`
`void` | `setCacheManager(CacheManager cacheManager)`
`void` | `setSessionFactory(SessionFactory sessionFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### accessor

    public DefaultHibernateAccessor accessor

### configProvider

    public BucketHibernateConfigProvider configProvider

Constructor Detail

### BambooUserConfiguration

    public BambooUserConfiguration()

Method Detail

### configureRepository

    protected RepositoryAccessor configureRepository(RepositoryConfiguration config)
                                              throws ConfigurationException

  Throws:
    `ConfigurationException`

### getSessionFactory

    public SessionFactory getSessionFactory()

### setSessionFactory

    public void setSessionFactory(SessionFactory sessionFactory)

### setCacheManager

    public void setCacheManager(CacheManager cacheManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.